Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.globalmedicalfile.protocol.v1
Class SendRequestType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.globalmedicalfile.protocol.v1.SendRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultGlobalMedicalFileRequest, NotifyGlobalMedicalFileRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:30:45+02:00",
               comments="JAXB RI v2.2.6")
    public class SendRequestType

extends RequestType
implements Serializable

Java class for SendRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="CommonInput" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}CommonInputType"/>
             <element name="Routing" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}RoutingType" minOccurs="0"/>
             <element name="Detail" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}BlobType"/>
             <element name="XadesT" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SendRequestType()`

Method Summary
`CommonInputType` | `getCommonInput()` Gets the value of the commonInput property.
`BlobType` | `getDetail()` Gets the value of the detail property.
`RoutingType` | `getRouting()` Gets the value of the routing property.
`Base64Binary` | `getXadesT()` Gets the value of the xadesT property.
`void` | `setCommonInput(CommonInputType value)` Sets the value of the commonInput property.
`void` | `setDetail(BlobType value)` Sets the value of the detail property.
`void` | `setRouting(RoutingType value)` Sets the value of the routing property.
`void` | `setXadesT(Base64Binary value)` Sets the value of the xadesT property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendRequestType

    public SendRequestType()

Method Detail

### getCommonInput

    public CommonInputType getCommonInput()

  Gets the value of the commonInput property.

  Returns:
    possible object is `CommonInputType`

### setCommonInput

    public void setCommonInput(CommonInputType value)

  Sets the value of the commonInput property.

  Parameters:
    `value` - allowed object is `CommonInputType`

### getRouting

    public RoutingType getRouting()

  Gets the value of the routing property.

  Returns:
    possible object is `RoutingType`

### setRouting

    public void setRouting(RoutingType value)

  Sets the value of the routing property.

  Parameters:
    `value` - allowed object is `RoutingType`

### getDetail

    public BlobType getDetail()

  Gets the value of the detail property.

  Returns:
    possible object is `BlobType`

### setDetail

    public void setDetail(BlobType value)

  Sets the value of the detail property.

  Parameters:
    `value` - allowed object is `BlobType`

### getXadesT

    public Base64Binary getXadesT()

  Gets the value of the xadesT property.

  Returns:
    possible object is `Base64Binary`

### setXadesT

    public void setXadesT(Base64Binary value)

  Sets the value of the xadesT property.

  Parameters:
    `value` - allowed object is `Base64Binary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.